from ...common.sync_node import SyncNode
from schemas.contract.contract import ContractResponse


class ContractSyncNode(SyncNode[ContractResponse]):
    """合同同步节点"""
    node_type = "contract"
    schema = ContractResponse
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
